Are you still using PHP 5.x? Why?

eva2000

Well-known member
Thought it was time for an update.

This was the status of all XF installs which had called back by May 2018, previously posted by @Chris D in the first post:
sweet.. look at that PHP 5.x usage halved and PHP 7 has similar uptake :)

Can't wait for PHP 7.4 - even more performance to be hand .. some quick benchies I did comparing Centmin Mod PHP-FPM with and without Profile Guided Optimization training vs YUM REMI PHP-FPM versions :)

php74-gcc9-vs-gcc8-pgo-01.png

Now imagine if we could do Xenforo Profile Guided Optimization training too https://xenforo.com/community/threa...foro-php-performance-via-pgo-training.156939/ :D PGO trained PHP performance is like moving up one major PHP version, so PHP 7.2 + PGO is as fast as PHP 7.3 and PHP 7.3 + PGO is as fast as PHP 7.4 generally :)
 

gouwepeer.nl

Well-known member
I have tried php7.4 with my forum.
php 7.4 gives a blank page (forum and admin panel).
I am now back to 7.3.10 and everything works perfectly again :cool:
 

Liam W

in memoriam 1998-2020
I have tried php7.4 with my forum.
php 7.4 gives a blank page (forum and admin panel).
I am now back to 7.3.10 and everything works perfectly again :cool:
PHP 7.4 is still in the RC stage... I don't think the current XF version is fully compatible yet (due to some backwards compatibility breakages in 7.4).
 

KensonPlays

Well-known member
My Cloud host doesn't allow me to go past 7.1 unless I'm on a VPS or Dedicated, which is out of my budget for a good long while.
 

Neutral Singh

Well-known member
I'd prefer to be around 10/mo. The site is just starting out so 10/mo should last us a good year most likely since I don't expect it to blow up super fast.
I think, you should look for another host... like...


* Select the PHP version that is right for your application! We provide full support for PHP versions 5.6, 7.1, and 7.2
 

KensonPlays

Well-known member
I think, you should look for another host... like...


* Select the PHP version that is right for your application! We provide full support for PHP versions 5.6, 7.1, and 7.2
If I were to move to another host (literally JUST moved a week ago), I think I'd want one with PHP 7.3 or so, and more than 20gb of storage or something. Attachments can add to the forum fast if it explodes in growth or something, right?
 

Chris D

XenForo developer
Staff member
Bear in mind that this thread is predominantly about getting people to move away from PHP 5.x. If you're already using PHP 7.1 then you're ok. XenForo 2.2 will require PHP 7.0 so even then 7.1 is still ok.

I'm also not certain we'll be increasing the PHP requirements every release. The minimum may be 7.0 for a while.
 

rainmotorsports

Well-known member
Checking my various servers for updates. Noticed PHP 7.4 is out. Probably going 7.4 on all my servers 7.3 on client. But I went to check on the VPS that ran the website for my wedding like 2 years ago. Upgraded CentOS. Went to upgrade the wordpress installation and its like you can't upgrade past 5.1 because you are on PHP 5.4... Im like there is no way I am on 5.4. I wouldn't have even bothered with 5.6 in 2017 much less 5.4.

Sure enough somehow I managed to install 5.4 on this server and it was still running unattended for at least the last year.
 
Top